/******************************************************************************/
/* MCrypt, by LoRd_MuldeR <MuldeR2@GMX.de>                                    */
/* This work has been released under the CC0 1.0 Universal license!           */
/******************************************************************************/

#ifndef INC_CRC_H
#define INC_CRC_H

#include <stdlib.h>
#include <stdint.h>
#include <stdio.h>

#define CRC_INITIALIZER ((uint64_t)~0U)
uint64_t crc64_update(uint64_t crc, const uint8_t *const data, const size_t data_len);
uint64_t crc64_finish(const uint64_t crc);

#endif
